dmmp_context_new(3)

NAME
dmmp_context_new - Create struct dmmp_context.

SYNOPSIS
struct dmmp_context * dmmp_context_new (void);

ARGUMENTS

void
    no arguments

DESCRIPTION
The default logging level (DMMP_LOG_PRIORITY_DEFAULT) is DMMP_LOG_PRIORITY_WARNING which means only warning and error message will be forward to log handler function. The default log handler function will print log message to STDERR, to change so, please use dmmp_context_log_func_set to set your own log handler, check manpage libdmmp.h(3) for detail.

RETURN
Pointer of 'struct dmmp_context'. Should be freed by dmmp_context_free.